#include "i2c.h"
#include "AT42QT1060.h"

unsigned char AT42QT1060_bufor[64];

void setAT42QT1060(unsigned char  DEVICE_ADDRESS, const struct AT42QT1060 *wsk_AT42QT1060)
{
	AT42QT1060_bufor[12] = wsk_AT42QT1060 -> Calibrate;						//R/W
	AT42QT1060_bufor[13] = wsk_AT42QT1060 -> Reset;							//R/W
	AT42QT1060_bufor[14] = wsk_AT42QT1060 -> DriftOption;					//R/W
	AT42QT1060_bufor[15] = wsk_AT42QT1060 -> PositiveRecalibrationDelay;	//R/W
	AT42QT1060_bufor[16] = wsk_AT42QT1060 -> NTHRKey0;						//R/W
	AT42QT1060_bufor[17] = wsk_AT42QT1060 -> NTHRKey1;						//R/W
	AT42QT1060_bufor[18] = wsk_AT42QT1060 -> NTHRKey2;						//R/W
	AT42QT1060_bufor[19] = wsk_AT42QT1060 -> NTHRKey3;						//R/W
	AT42QT1060_bufor[20] = wsk_AT42QT1060 -> NTHRKey4;						//R/W
	AT42QT1060_bufor[21] = wsk_AT42QT1060 -> NTHRKey5;						//R/W
	AT42QT1060_bufor[22] = wsk_AT42QT1060 -> LPMode;						//R/W
	AT42QT1060_bufor[23] = wsk_AT42QT1060 -> IOMask;						//R/W
	AT42QT1060_bufor[24] = wsk_AT42QT1060 -> KeyMask;						//R/W
	AT42QT1060_bufor[25] = wsk_AT42QT1060 -> AksMask;						//R/W
	AT42QT1060_bufor[26] = wsk_AT42QT1060 -> PWMMask;						//R/W
	AT42QT1060_bufor[27] = wsk_AT42QT1060 -> DetectionMask;					//R/W
	AT42QT1060_bufor[28] = wsk_AT42QT1060 -> ActiveLevelMask;				//R/W
	AT42QT1060_bufor[29] = wsk_AT42QT1060 -> UserOutputBuffer;				//R/W
	AT42QT1060_bufor[30] = wsk_AT42QT1060 -> DI;							//R/W
	AT42QT1060_bufor[31] = wsk_AT42QT1060 -> PWMLevel;						//R/W

	I2C_WRITE_BUFFER_TO_DEVICE(DEVICE_ADDRESS, 0x000C, (AT42QT1060_bufor+0x0C), 20);
}

void readAT42QT1060(unsigned char  DEVICE_ADDRESS, struct AT42QT1060 *wsk_AT42QT1060)
{

	I2C_READ_BUFFER_FROM_DEVICE(DEVICE_ADDRESS, 0x0000, AT42QT1060_bufor, 64);

	wsk_AT42QT1060 -> ChipID = AT42QT1060_bufor[0];							//R
	wsk_AT42QT1060 -> Version = AT42QT1060_bufor[1];						//R
	wsk_AT42QT1060 -> MinorVersion = AT42QT1060_bufor[2];					//R
	wsk_AT42QT1060 -> Reserved1 = AT42QT1060_bufor[3];
	wsk_AT42QT1060 -> DetectionStatus = AT42QT1060_bufor[4];				//R
	wsk_AT42QT1060 -> InputPortStatus = AT42QT1060_bufor[5];				//R
	wsk_AT42QT1060 -> Reserved2 = AT42QT1060_bufor[6];
	wsk_AT42QT1060 -> Reserved3 = AT42QT1060_bufor[7];
	wsk_AT42QT1060 -> Reserved4 = AT42QT1060_bufor[8];
	wsk_AT42QT1060 -> Reserved5 = AT42QT1060_bufor[9];
	wsk_AT42QT1060 -> Reserved6 = AT42QT1060_bufor[10];
	wsk_AT42QT1060 -> Reserved7 = AT42QT1060_bufor[11];
	wsk_AT42QT1060 -> Calibrate = AT42QT1060_bufor[12];						//R/W
	wsk_AT42QT1060 -> Reset = AT42QT1060_bufor[13];							//R/W
	wsk_AT42QT1060 -> DriftOption = AT42QT1060_bufor[14];					//R/W
	wsk_AT42QT1060 -> PositiveRecalibrationDelay = AT42QT1060_bufor[15];	//R/W
	wsk_AT42QT1060 -> NTHRKey0 = AT42QT1060_bufor[16];						//R/W
	wsk_AT42QT1060 -> NTHRKey1 = AT42QT1060_bufor[17];						//R/W
	wsk_AT42QT1060 -> NTHRKey2 = AT42QT1060_bufor[18];						//R/W
	wsk_AT42QT1060 -> NTHRKey3 = AT42QT1060_bufor[19];						//R/W
	wsk_AT42QT1060 -> NTHRKey4 = AT42QT1060_bufor[20];						//R/W
	wsk_AT42QT1060 -> NTHRKey5 = AT42QT1060_bufor[21];						//R/W
	wsk_AT42QT1060 -> LPMode = AT42QT1060_bufor[22];						//R/W
	wsk_AT42QT1060 -> IOMask = AT42QT1060_bufor[23];						//R/W
	wsk_AT42QT1060 -> KeyMask = AT42QT1060_bufor[24];						//R/W
	wsk_AT42QT1060 -> AksMask = AT42QT1060_bufor[25];						//R/W
	wsk_AT42QT1060 -> PWMMask = AT42QT1060_bufor[26];						//R/W
	wsk_AT42QT1060 -> DetectionMask = AT42QT1060_bufor[27];					//R/W
	wsk_AT42QT1060 -> ActiveLevelMask = AT42QT1060_bufor[28];				//R/W
	wsk_AT42QT1060 -> UserOutputBuffer = AT42QT1060_bufor[29];				//R/W
	wsk_AT42QT1060 -> DI = AT42QT1060_bufor[30];							//R/W
	wsk_AT42QT1060 -> PWMLevel = AT42QT1060_bufor[31];						//R/W
	wsk_AT42QT1060 -> Reserved8 = AT42QT1060_bufor[32];
	wsk_AT42QT1060 -> Reserved9 = AT42QT1060_bufor[33];
	wsk_AT42QT1060 -> Reserved10 = AT42QT1060_bufor[34];
	wsk_AT42QT1060 -> Reserved11 = AT42QT1060_bufor[35];
	wsk_AT42QT1060 -> Reserved12 = AT42QT1060_bufor[36];
	wsk_AT42QT1060 -> Reserved13 = AT42QT1060_bufor[37];
	wsk_AT42QT1060 -> Reserved14 = AT42QT1060_bufor[38];
	wsk_AT42QT1060 -> Reserved15 = AT42QT1060_bufor[39];
	wsk_AT42QT1060 -> Key0SignalLSB = AT42QT1060_bufor[40];					//R
	wsk_AT42QT1060 -> Key0SignalMSB = AT42QT1060_bufor[41];					//R
	wsk_AT42QT1060 -> Key1SignalLSB = AT42QT1060_bufor[42];					//R
	wsk_AT42QT1060 -> Key1SignalMSB = AT42QT1060_bufor[43];					//R
	wsk_AT42QT1060 -> Key2SignalLSB = AT42QT1060_bufor[44];					//R
	wsk_AT42QT1060 -> Key2SignalMSB = AT42QT1060_bufor[45];					//R
	wsk_AT42QT1060 -> Key3SignalLSB = AT42QT1060_bufor[46];					//R
	wsk_AT42QT1060 -> Key3SignalMSB = AT42QT1060_bufor[47];					//R
	wsk_AT42QT1060 -> Key4SignalLSB = AT42QT1060_bufor[48];					//R
	wsk_AT42QT1060 -> Key4SignalMSB = AT42QT1060_bufor[49];					//R
	wsk_AT42QT1060 -> Key5SignalLSB	 = AT42QT1060_bufor[50];				//R
	wsk_AT42QT1060 -> Key5SignalMSB = AT42QT1060_bufor[51];					//R
	wsk_AT42QT1060 -> Key0ReferenceLSB = AT42QT1060_bufor[52];				//R
	wsk_AT42QT1060 -> Key0ReferenceMSB = AT42QT1060_bufor[53];				//R
	wsk_AT42QT1060 -> Key1ReferenceLSB = AT42QT1060_bufor[54];				//R
	wsk_AT42QT1060 -> Key1ReferenceMSB = AT42QT1060_bufor[55];				//R
	wsk_AT42QT1060 -> Key2ReferenceLSB = AT42QT1060_bufor[56];				//R
	wsk_AT42QT1060 -> Key2ReferenceMSB = AT42QT1060_bufor[57];				//R
	wsk_AT42QT1060 -> Key3ReferenceLSB = AT42QT1060_bufor[58];				//R
	wsk_AT42QT1060 -> Key3ReferenceMSB = AT42QT1060_bufor[59];				//R
	wsk_AT42QT1060 -> Key4ReferenceLSB = AT42QT1060_bufor[60];				//R
	wsk_AT42QT1060 -> Key4ReferenceMSB = AT42QT1060_bufor[61];				//R
	wsk_AT42QT1060 -> Key5ReferenceLSB = AT42QT1060_bufor[62];				//R
	wsk_AT42QT1060 -> Key5ReferenceMSB = AT42QT1060_bufor[63];				//R
}

