#ifndef I2C_H_INCLUDED
#define I2C_H_INCLUDED

#include <stddef.h>
#include "stm32f10x.h"
#include "board.h"

void I2C_Configuration(void);

unsigned char I2C_READ_BUFFER_FROM_DEVICE(unsigned char  DEVICE_ADDRESS,
										  unsigned int   INTERNAL_ADDRESS,
										  unsigned char* RX_BUFFER,
										  unsigned int   number_of_bytes);

unsigned char I2C_WRITE_BUFFER_TO_DEVICE(unsigned char  DEVICE_ADDRESS,
										 unsigned int   INTERNAL_ADDRESS,
										 unsigned char* TX_BUFFER,
										 unsigned int   number_of_bytes);
#endif //I2C_H_INCLUDED
